LUC Struct Reference

LUC cryptosystem. More...

`#include <luc.h>`

Inheritance diagram for LUC:

## Public Types

typedef LUCFunction | PublicKey
typedef InvertibleLUCFunction | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

LUC cryptosystem.

Since
  Crypto++ 2.1

Definition at line 131 of file luc.h.

## Member Typedef Documentation

## PublicKey

typedef LUCFunction LUC::PublicKey

Definition at line 134 of file luc.h.

## PrivateKey

typedef InvertibleLUCFunction LUC::PrivateKey

Definition at line 135 of file luc.h.

## Member Function Documentation

## StaticAlgorithmName()

static std::string LUC::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 133 of file luc.h.

The documentation for this struct was generated from the following file:

- luc.h